-- SQL code om de database voor de praktijkopdracht van H4 te maken:
-- Database definitie:
CREATE TABLE Docent (
  docentnummer CHAR(4) NOT NULL,
  naam VARCHAR(30) NOT NULL,
  woonplaats VARCHAR(30) NOT NULL,
  PRIMARY KEY(docentnummer)
);
CREATE TABLE Leervak (
  vakcode VARCHAR(4) NOT NULL,
  vakomschrijving VARCHAR(30) NOT NULL,
  soort VARCHAR(8) NOT NULL,
  uren SMALLINT NOT NULL,
  PRIMARY KEY(vakcode)
);
CREATE TABLE Lokaal (
  afdeling VARCHAR(4) NOT NULL,
  lokaalnummer CHAR(2) NOT NULL,
  type VARCHAR(11) NOT NULL,
  ligging VARCHAR(11) NOT NULL,
  PRIMARY KEY(afdeling, lokaalnummer)
);
CREATE TABLE Lesuur (
  docentnummer CHAR(4) NOT NULL,
  uur SMALLINT NOT NULL,
  afdeling VARCHAR(4) NOT NULL,
  lokaalnummer CHAR(2) NOT NULL,
  vakcode VARCHAR(4) NOT NULL,
  PRIMARY KEY(docentnummer, uur, afdeling, lokaalnummer, vakcode),
  FOREIGN KEY(docentnummer) REFERENCES Docent,
  FOREIGN KEY(afdeling, lokaalnummer) REFERENCES Lokaal,
  FOREIGN KEY(vakcode) REFERENCES Leervak
);

-- Vul de tabellen met de gegevens uit het boek:
INSERT INTO Docent VALUES ('DOC1', 'Hendriks', 'Arnhem' );
INSERT INTO Docent VALUES ('DOC2', 'Jansen', 'Huissen');
INSERT INTO Docent VALUES ('DOC3', 'Pieters', 'Arnhem');
INSERT INTO Docent VALUES ('DOC4', 'Klaassen', 'Heteren');
INSERT INTO Docent VALUES ('DOC5', 'v.d. Berg', 'Driel');

INSERT INTO Leervak VALUES ('ENG1', 'Engels1', 'theorie', 30);
INSERT INTO Leervak VALUES ('FR1', 'Frans1', 'theorie', 24);
INSERT INTO Leervak VALUES ('FR2', 'Frans2', 'theorie', 24);
INSERT INTO Leervak VALUES ('NAT1', 'Natuurkunde', 'praktijk', 30);
INSERT INTO Leervak VALUES ('SCH2', 'Scheikunde', 'praktijk', 26);
INSERT INTO Leervak VALUES ('SP1', 'Spaans', 'theorie', 20);

INSERT INTO Lokaal VALUES ('HAVO', '1A', 'theorie', 'hoofdgebouw'); 
INSERT INTO Lokaal VALUES ('HAVO', '1B', 'theorie', 'hoofdgebouw'); 
INSERT INTO Lokaal VALUES ('HAVO', '2C', 'theorie', 'hoofdgebouw'); 
INSERT INTO Lokaal VALUES ('HAVO', '2D', 'theorie', 'hoofdgebouw'); 
INSERT INTO Lokaal VALUES ('VWO', '1A', 'theorie', 'hoofdgebouw'); 
INSERT INTO Lokaal VALUES ('VWO', '1B', 'theorie', 'hoofdgebouw'); 
INSERT INTO Lokaal VALUES ('VWO', '2A', 'theorie', 'hoofdgebouw'); 
INSERT INTO Lokaal VALUES ('VWO', '3A', 'natuurkunde', 'bijgebouw'); 
INSERT INTO Lokaal VALUES ('VWO', '3B', 'scheikunde', 'bijgebouw'); 

INSERT INTO Lesuur VALUES ('DOC1', 1, 'VWO', '3B', 'SCH2' );
INSERT INTO Lesuur VALUES ('DOC1', 4, 'VWO', '3B', 'SCH2' );
INSERT INTO Lesuur VALUES ('DOC2', 3, 'HAVO', '2D', 'FR1');
INSERT INTO Lesuur VALUES ('DOC2', 4, 'HAVO', '2C', 'SP1');
INSERT INTO Lesuur VALUES ('DOC2', 5, 'VWO', '1A', 'FR1');
INSERT INTO Lesuur VALUES ('DOC3', 1, 'HAVO', '2D', 'ENG1');
INSERT INTO Lesuur VALUES ('DOC3', 2, 'VWO', '3A', 'NAT1');
INSERT INTO Lesuur VALUES ('DOC4', 3, 'HAVO', '3A', 'NAT1');
INSERT INTO Lesuur VALUES ('DOC5', 1, 'VWO', '1A', 'SP1');
INSERT INTO Lesuur VALUES ('DOC5', 2, 'VWO', '1B', 'FR1');
INSERT INTO Lesuur VALUES ('DOC5', 3, 'HAVO', '1A', 'FR1');
INSERT INTO Lesuur VALUES ('DOC5', 4, 'HAVO', '1B', 'SP1');
