<?php
// Valideer de invoer
$foutmeldingen = "";

if (!isset($_POST['naam']) or empty($_POST['naam'])) {
    $foutmeldingen .= "<li>Vul een naam in</li>\n";
} else {
    $naam = $_POST['naam'];
};

if (!isset($_POST['sekse']) or empty($_POST['sekse'])) {
    $foutmeldingen .= "<li>Vul een sekse in</li>\n";
} else {
    $sekse = $_POST['sekse'];
    if ($sekse == 'man') {
	$is_man = true;
    } elseif ($sekse == 'vrouw') {
	$is_man = false;
    } else {
	$foutmeldingen .= "<li>Voer man of vrouw in bij sekse</li>\n";
    };
};

if (!isset($_POST['geboortedatum']) or empty($_POST['geboortedatum'])) {
    $foutmeldingen .= "<li>Vul een geboortedatum in</li>\n";
} else {
    $geboortedatum = $_POST['geboortedatum'];
    if (preg_match('/\d\d-\d\d-\d\d\d\d/', $geboortedatum)) {
	// dit is overigens geen goede check of er wel echt een bestaande 
	// datum is ingevuld ...
	// Trouwens wat gebeurt er als de ingevulde datum later is dan de 
	// huidige datum?
	// Valideren is niet zo eenvoudig ...
	sscanf( $geboortedatum, "%d-%d-%d", $dag, $maand, $jaar);
    } else {
	$foutmeldingen .= "<li>Vul een <b>goede</b> datum in volgens 
	    het patroon: dd-mm-jjjj, bijvoorbeeld <i>23-09-1978</i>.</li>\n";
    };
};

if (!isset($_POST['gewicht']) or empty($_POST['gewicht'])) {
    $foutmeldingen .= "<li>Vul een gewicht in</li>\n";
} else {
    if (is_numeric($_POST['gewicht'])) {
	// maak een getal van het gewicht, onduidelijk of int of float
	$gewicht = $_POST['gewicht'] + 0;
	if (!is_int($gewicht)) {
	    $foutmeldingen .= "<li>Voer een geheel getal in, geen kommagetal!</li>\n";
	};
    } else {
	$foutmeldingen .= "<li>Voer een geheel getal in voor het gewicht!</li>\n";
    };
};

if (!isset($_POST['opmerkingen'])) {
    $foutmeldingen .= "<li>Gebruik het juiste HTML formulier om je 
	levensverwachting op te vragen.</li>\n";
} else {
    $opmerkingen = $_POST['opmerkingen'];
};

if ($foutmeldingen == "") {
    // Alles is goedgegaan: maak de resultaatpagina    
    $g_factor = rand( -$gewicht/4, $gewicht/4);
    if ($is_man) {
	$levensverwachting = 78 + $g_factor;
    } else {
	$levensverwachting = 82 + $g_factor;
    };

    $jaren_over = ($jaar + $levensverwachting) - date('Y');
?>
<html>
    <head>
	<title>Je levensverwachting</title>
    </head>
    <body>
	<p>Beste <?php echo $naam; ?>,<br>
	<br>
	je levensverwachting is <?php echo $levensverwachting; ?>. 
	Je hebt dus nog <?php echo $jaren_over; ?> jaren te leven.
	</p>
	<?php 
    if ($opmerkingen == "") {
?>	
	<p><i>Je hebt geen opmerkingen</i></p>
<?php 
    } else {
?>
	<blockquote><?php echo $opmerkingen; ?></blockquote>
<?php
    };
?>
    </body>
</html>
<?php 
} else {
    // Fout bij validatie, geef een foutpagina terug
?>
<html>
    <head>
	<title>FOUT</title>
    </head>
    <body>
	<h2>Fouten:</h2>
	<ul>
	    <?php echo $foutmeldingen; ?>
	</ul>
    </body>
</html>
<?php
};
?>
